body {
    background-color: #d0d0d0; /* Gris muy claro */
    font-family: sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.fondo {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.3;
    z-index: -1;
}

.img{	
	max-width: -moz-available;
}

.logo-fondo {
    position: absolute;
    width: 150px;
    height: auto;
    transition: opacity 0.3s ease;
    opacity: 1; /* Ajusta este valor para diluir más o menos el logo */
}

.logo-fondo:hover {
    content: url('img/logo-color.png');
    opacity: 0.7;
}


.fondo0 {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.3;
    z-index: -1;
}

.logo0-fondo0 {
    position: absolute;
    width: 150px;
    height: auto;
    transition: opacity 0.3s ease;
    opacity: 1; /* Ajusta este valor para diluir más o menos el logo */
}

.logo0-fondo0:hover {
    content: url('img/miahorro_logo2.png');
    opacity: 0.7;
}
header, main, footer {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
}

header {
    background-color: #fff;
}

main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Estilos para la cabecera en móviles */
header h1 {
    font-size: 1.7em; /* Ajusta el tamaño de la fuente */
    padding: 10px; /* Añade espacio alrededor del texto */
    text-align: center; /* Centra el texto */
}

/* Estilos para el botón de solicitud en móviles */
.servicio-contenido .solicitar {
    position: static; /* Cambia la posición a estática */
    margin-top: 20px; /* Añade margen superior */
    margin-bottom: 20px; /* Añade margen inferior */
    width: 80%; /* Ajusta el ancho del botón */
    max-width: 300px; /* Limita el ancho máximo */
    display: block; /* Hace que el botón ocupe toda la línea */
    margin-left: auto;
    margin-right: auto;
}

.servicios {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 20px;
    max-width: 1200px;
    width: 100%;
}

.servicio {
    width: 300px;
    margin: 20px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    text-align: center;
    padding: 20px;
    display: flex;
    flex-direction: column;
}

.servicio img {
    width: 280px;
    height: 200px;
    object-fit: cover;
    border-radius: 8px;
    margin-bottom: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.boton {
    margin-top: auto;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
}

.acceso {
    background-color: #3498db;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
}

.botones {
    margin-top: auto;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
}
.mas-info {
    background-color: #3498db;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
}

.solicitar {
    background-color: #333;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}

.proximo {
    width: 100%;
    background-color: #e0e0e0;
    padding: 20px;
    text-align: center;
    margin: 20px 0;
}

/* Estilos para el contenedor del formulario */
.formulario-contenedor {
    width: 90%;
    max-width: 800px;
    margin: 20px auto;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    padding: 20px;
}
/* Estilos para los bloques del formulario */
.formulario-bloque {
    margin-bottom: 20px;
    text-align: left;
    margin-top: 75px; /* Añade un margen superior */
}

.formulario-bloque fieldset {
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 10px;
}

.formulario-bloque legend {
    font-weight: bold;
    margin-bottom: 10px;
    text-transform: uppercase;
    text-align: center;
}

/* Estilos para las instrucciones */
.instrucciones {
    margin-bottom: 10px;
    font-style: italic;
    color: #666;
    text-align: center;
}

/* Estilos para las etiquetas y campos del formulario */
.formulario-contenedor label {
    display: block;
    margin-bottom: 5px;
}

.formulario-contenedor input[type="text"],
.formulario-contenedor input[type="tel"],
.formulario-contenedor input[type="email"],
.formulario-contenedor select {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-sizing: border-box;
    background-color: #d0d0d0; /* Fondo gris para los campos */
}

/* Estilos para los checkboxes */
.formulario-contenedor input[type="checkbox"] {
    margin-right: 5px;
    background-color: #d0d0d0; /* Fondo gris para los checkboxes */
}

/* Estilos para la tabla de horarios */
.formulario-contenedor table {
    width: 100%;
    border-collapse: collapse;
}

.formulario-contenedor th,
.formulario-contenedor td {
    padding: 8px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}

.formulario-contenedor th {
    background-color: #f2f2f2;
}

.siguiente {
    background-color: #007bff; /* Cambia el color de fondo a azul */
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 10px;
    margin-bottom: 20px;
    float: right;
}
/* Estilos para el botón "Enviar Solicitud" */
.solicitar {
    background-color: #333;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
    margin-top: 20px;
}

/* Estilos para la persona de contacto */
#datos-contacto label {
    display: block;
    margin-bottom: 5px;
}

/* Estilos para el asterisco de campos obligatorios */
.obligatorio {
    color: red;
}

/* Estilos para el texto correcto */
.text-success {
    color: #9ed85f;/* color verde lima */
}

/* Estilos para móviles */
@media (max-width: 767px) {
    .formulario-contenedor {
        width: 95%;
        padding: 10px;
    }
}

.servicio {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.servicio img {
    display: flex; /* Cambiado a flex para centrar */
    justify-content: center; /* Centra horizontalmente */
    max-width: 100%;
    height: auto;
    margin: 0 auto;
}

.servicio-en-proceso {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 80vh;
}

.aviso {
    text-align: center;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-width: 600px;
}

.aviso img {
    max-width: 100px;
    margin-bottom: 20px;
}

.aviso h2 {
    color: #333;
    margin-bottom: 15px;
}

.aviso p {
    color: #666;
    line-height: 1.6;
    margin-bottom: 20px;
}

.volver {
    display: inline-block;
    padding: 10px 20px;
    background-color: #007bff;
    color: white;
    text-decoration: none;
    border-radius: 5px;
}

.volver:hover {
    background-color: #0056b3;
}

footer {
    text-align: center;
    padding: 10px;
    background-color: #fff;
}

/* Estilos para que los servicios se muestren en 2 columnas */
@media (min-width: 768px) {
    .servicio {
        width: 45%; /* Aproximadamente 2 servicios por fila */
        max-width: 400px; /* Limita el ancho máximo en pantallas grandes */
    }
}

/* Estilos para que los servicios se muestren en 1 columna en móviles */
@media (max-width: 767px) {
    .servicio {
        width: 90%; /* Ocupa casi todo el ancho en móviles */
    }

    .servicio-info {
        width: 100%;
        max-width: 800px;
        margin: 20px auto;
        background-color: #fff;
        border-radius: 8px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        padding: 20px;
    }

    .servicio-contenido {
        position: relative;
        padding: 10px;
    }

    .servicio-info img {
        width: 100%;
        height: auto;
        border-radius: 8px;
        margin-bottom: 20px;
        max-height: 300px;
        object-fit: cover;
    }

    .servicio-info p {
        margin-bottom: 15px;
        text-align: justify;
    }

    .servicio-info .solicitar {
        position: static;
        margin-top: 20px;
        width: 80%;
        max-width: 300px;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
}

.estado {
    display: block;
    margin-top: 10px;
    padding: 5px 10px;
    border-radius: 5px;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 0.8em;
}

.disponible {
    background-color: #d4edda;
    color: #155724;
}

.breve {
    background-color: #cce5ff;
    color: #004085;
}

.pronto {
    background-color: #ffeeba;
    color: #856404;
}

.proximamente {
    background-color: #f8d7da;
    color: #721c24;
}
